Summary: libdevmapper version 2.02.125-r0
Name: libdevmapper
Version: 2.02.125
Release: r0.0
License: GPLv2 & LGPLv2
Group: utils
Packager: Wind River <info@windriver.com>
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: udev
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: readline
BuildRequires: util-linux
BuildRequires: automake-native

%description
LVM2 is a set of utilities to manage logical volumes in Linux.

%package -n libdevmapper-dbg
Summary: libdevmapper version 2.02.125-r0 - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libudev-dbg
Recommends: libdevmapper1.02 = 2.02.125-r0.0

%description -n libdevmapper-dbg
LVM2 is a set of utilities to manage logical volumes in Linux.  This
package contains ELF symbols and related sources for debugging purposes.

%package -n libdevmapper-staticdev
Summary: libdevmapper version 2.02.125-r0 - Development files (Static Libraries)
Group: devel
Requires: libdevmapper-dev = 2.02.125-r0.0

%description -n libdevmapper-staticdev
LVM2 is a set of utilities to manage logical volumes in Linux.  This
package contains static libraries for software development.

%package -n libdevmapper-dev
Summary: libdevmapper version 2.02.125-r0 - Development files
Group: devel
Requires: libdevmapper1.02 = 2.02.125-r0.0
Suggests: udev-dev
Suggests: libc6-dev
Suggests: libreadline-dev
Suggests: util-linux-dev
Suggests: libudev-dev

%description -n libdevmapper-dev
LVM2 is a set of utilities to manage logical volumes in Linux.  This
package contains symbolic links, header files, and related items necessary
for software development.

%package -n libdevmapper-doc
Summary: libdevmapper version 2.02.125-r0 - Documentation files
Group: doc

%description -n libdevmapper-doc
LVM2 is a set of utilities to manage logical volumes in Linux.  This
package contains documentation.

%package -n libdevmapper-locale
Summary: libdevmapper version 2.02.125-r0
Group: utils

%description -n libdevmapper-locale
LVM2 is a set of utilities to manage logical volumes in Linux.

%package -n libdevmapper1.02
Summary: libdevmapper version 2.02.125-r0
Group: utils
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libudev.so.0()(64bit)
Requires: libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libudev0 >= 182
Requires: libc6 >= 2.22
Requires: libpthread.so.0()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libudev.so.0()(64bit)
Requires(post): libpthread.so.0(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libudev0 >= 182
Requires(post): libc6 >= 2.22
Requires(post): libpthread.so.0()(64bit)
Suggests: lvm2-udevrules
Provides: elf(buildid) = b0ea373213c83ecd6e590cafa08c20d160d98aa1
Provides: libdevmapper.so.1.02(DM_1_02_101)(64bit)
Provides: libdevmapper = 2.02.125
Provides: libdevmapper.so.1.02(DM_1_02_100)(64bit)
Provides: libdevmapper.so.1.02(DM_1_02_97)(64bit)
Provides: libdevmapper.so.1.02(DM_1_02_99)(64bit)
Provides: libdevmapper.so.1.02()(64bit)
Provides: libdevmapper.so.1.02(Base)(64bit)
Provides: libdevmapper.so.1.02(DM_1_02_98)(64bit)

%description -n libdevmapper1.02
LVM2 is a set of utilities to manage logical volumes in Linux.

%post -n libdevmapper1.02
# libdevmapper1.02 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libdevmapper-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/src"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libdevmapper.so.1.02"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libdevmapper"
%dir "/usr/src/debug/libdevmapper/2.02.125-r0"
%dir "/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125"
%dir "/usr/src/debug/libdevmapper/2.02.125-r0/build"
%dir "/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm"
%dir "/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/datastruct"
%dir "/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/regex"
%dir "/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/mm"
%dir "/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/ioctl"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/libdm-deptree.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/libdm-string.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/libdm-file.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/libdm-report.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/libdm-config.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/libdm-common.h"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/libdm-common.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/datastruct/list.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/datastruct/bitset.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/datastruct/hash.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/regex/ttree.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/regex/matcher.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/regex/parse_rx.h"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/regex/parse_rx.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/regex/ttree.h"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/mm/pool-fast.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/mm/pool.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/mm/dbg_malloc.c"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/ioctl/libdm-targets.h"
"/usr/src/debug/libdevmapper/2.02.125-r0/LVM2.2.02.125/libdm/ioctl/libdm-iface.c"
%dir "/usr/src/debug/libdevmapper/2.02.125-r0/build/include"
"/usr/src/debug/libdevmapper/2.02.125-r0/build/include/dm-ioctl.h"
"/usr/src/debug/libdevmapper/2.02.125-r0/build/include/libdevmapper.h"
"/usr/src/debug/libdevmapper/2.02.125-r0/build/include/dm-logging.h"

%files -n libdevmapper-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/include"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libdevmapper.so"
"/usr/lib64/pkgconfig/devmapper.pc"
"/usr/include/libdevmapper.h"

%files -n libdevmapper1.02
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libdevmapper.so.1.02"

